Przejdź do treści
Leads
POST/leads/{id}/activities

Create lead activity

Operation contract

Scopes, schemas, errors and safe retry rules.

Idempotency-Key recommended

Required scopes

leads:write

Request body

None

Responses

201

Docs link

/api-docs/leads/createLeadActivity

Use `X-Request-ID` from responses when debugging. For write requests, set an `Idempotency-Key` so retries cannot duplicate messages, leads, runs or webhook replay actions.

Code examples

Full Scalar schema

cURL

curl https://api.darhimlabs.pl/api/v2/{path} \
  -H "Authorization: Bearer $DARHIMLABS_API_KEY"

Node.js

import { DarhimLabs } from "@darhimlabs/node";
const client = new DarhimLabs(process.env.DARHIMLABS_API_KEY);
// See the SDK docs for a typed helper for this operation.

Python

from darhimlabs import DarhimLabs
client = DarhimLabs(api_key=os.environ["DARHIMLABS_API_KEY"])

PHP

$client = new DarhimLabs\Client(["api_key" => $_ENV["DARHIMLABS_API_KEY"]]);

Ruby

client = DarhimLabs::Client.new(api_key: ENV["DARHIMLABS_API_KEY"])